import { ColumnInterface, ManyRelationInterface, MetadataInterface, OneRelationInterface, PrimaryKeyInterface } from "./column";
export interface SchemaInterface {
    name: string;
    primaryKey: PrimaryKeyInterface | null;
    data: Record<string, ColumnInterface>;
    indexes: Record<string, PrimaryKeyInterface | MetadataInterface | OneRelationInterface | ManyRelationInterface>;
}
export interface SchemaOptions {
    name?: string;
}
export declare const Schema: (options?: SchemaOptions | undefined) => (constructor: new () => any) => void;
